ROLLBACK
Prev | Up | SQL Commands | Home | Next

## ROLLBACK

ROLLBACK — abort the current transaction

## Synopsis

    ROLLBACK [ WORK | TRANSACTION ]

## Description

`ROLLBACK` rolls back the current transaction and causes all the updates made by the transaction to be discarded.

## Parameters

`WORK`
`TRANSACTION`

  Optional key words. They have no effect.

## Notes

Use COMMIT to successfully terminate a transaction.

Issuing `ROLLBACK` outside of a transaction block emits a warning and otherwise has no effect.

## Examples

To abort all changes:

    ROLLBACK;

## Compatibility

The SQL standard only specifies the two forms `ROLLBACK` and `ROLLBACK WORK`. Otherwise, this command is fully conforming.

## See Also

BEGIN, COMMIT, ROLLBACK TO SAVEPOINT

Prev | Up | Next
REVOKE | Home | ROLLBACK PREPARED